PRO find_near_abs_phi,phi,nphilist,itmp,maskfl,max_dphi_toll=max_dphi_toll,$
                      warning=warning,itmp_use=itmp_use
   IF NOT(IS_DEF(wraning)) THEN warning=0
;                  Max Number of ambig.
   nmax=7
;
   IF NOT(IS_DEF(max_dphi_toll)) THEN max_dphi_toll=25
   nidx=INDGEN(nmax*2+1)-nmax
;                  Find number of Frequencies
   ss=SIZE(phi)
   nmaps=ss(1)
   maskfl=1.0


   IF itmp GT 0 THEN BEGIN
      itmp_use=0
      nphilistnew=nphilist

      icheck=itmp
      nphicheck=nphilist

      n1=itmp
      WHILE(n1 GT 0) DO BEGIN
         find_topological_defects,nphicheck,nmaps,icheck,list1,n1,list2,n2
         IF n2 GT itmp_use THEN BEGIN
            nphilistnew(*,0:n2-1)=list2(*,0:n2-1)
            itmp_use=n2
         END
         IF n1 GT 0 THEN BEGIN
            IF (warning GE 3) THEN print,'Found topological defect !'
            nphicheck(*,0:n1-1)=list1(*,0:n1-1)
            icheck=n1
         END
      END
      IF (itmp_use NE itmp) AND (warning GE 3) THEN $
         print,'   => Reduce NGB-List ',itmp,' -> ',itmp_use

;
      ind=INDGEN(itmp_use)
      FOR f=0,nmaps-1 DO BEGIN
         xi2min=1000.0
         nmin=0
         FOR in=0,nmax*2 DO BEGIN
            xi2=SQRT(TOTAL((phi(f)+nidx(in)*180-nphilistnew(f,0:itmp_use-1))^2)/itmp_use)
            dphm=MAX(ABS(phi(f)+nidx(in)*180-nphilistnew(f,0:itmp_use-1)))
            IF itmp_use GT 3 THEN xi2=xi2 ELSE xi2=MAX([dphm,xi2])
            IF xi2 LT xi2min THEN BEGIN
               xi2min=xi2
               nmin=nidx(in)
            END
         END
         phi(f)=phi(f)+nmin*180
         IF xi2min GT max_dphi_toll THEN BEGIN
               IF (warning GE 4) THEN $
                   print,'Warning: dPhi>',max_dphi_toll,$
                         ' at ',f,nmin,phi(f),xi2min
               maskfl=4.0
         END
      END
   END ELSE BEGIN
      FOR f=0,nmaps-1 DO BEGIN
         IF phi(f) LT 0.0 THEN phi(f)=phi(f)+180.0
      END
   END
END

