PRO find_topological_defects,nphilist,nmaps,ingb,list1,n1,list2,n2
; nphilist[0:nmaps-1,0:itmp-1]    =   neightbor orientation list (in degree)
; nmaps                               Number of frequencies
; ingb                                Number of neighbours

; => list1                            Contains list of neighbours with
;                                     topological defect
; => n1                               Length of list1

; => list2                            Contains list of neighbours without
;                                     topological defect
; => n2                               Length of list2

   ilist1=intarr(ingb)
   ilist2=intarr(ingb)
   n1=0
   n2=0
   FOR i=0,ingb-1 DO BEGIN
      pixeltopfound=0
      FOR f=0,nmaps-1 DO BEGIN
         IF ABS(nphilist(f,i)-nphilist(f,0)) GT 90 THEN pixeltopfound=1
      END 
      IF pixeltopfound EQ 1 THEN BEGIN
         ilist1(n1)=i
         n1=n1+1
      END ELSE BEGIN
         ilist2(n2)=i
         n2=n2+1
      END
   END
   IF n1 GT 0 THEN BEGIN
      list1=nphilist(*,ilist1(0:n1-1))
   END
   IF n2 GT 0 THEN BEGIN
      list2=nphilist(*,ilist2(0:n2-1))
   END

END
